<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++ Members: Show All Members: Filtered Members: Filtered Members: Filtered

Berkeley DB .NET API Documentation
CursorConfig Members
CursorConfig Class Constructors Methods Fields See Also Send Feedback

The CursorConfig type exposes the following members.

# Constructors

| Name | Description
--- | --- | ---
| CursorConfig | Instantiate a new CursorConfig object

# Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the type of the current instance. (Inherited from Object.)
| ToString | Returns a string that represents the current object. (Inherited from Object.)

# Fields

| Name | Description
--- | --- | ---
| IsolationDegree | The isolation degree that the cursor should use.
| Priority | The cache priority for pages referenced by the cursor.

SnapshotIsolation

Configure a transactional cursor to operate with read-only snapshot isolation. For databases with UseMVCC set, data values will be read as they are when the cursor is opened, without taking read locks.

This setting implicitly begins a transaction that is committed when the cursor is closed.

This setting is silently ignored if UseMVCC is not set on the underlying database or if a transaction is supplied to Cursor()()()

| WriteCursor | If true, specify that the cursor will be used to update the database. The underlying database environment must have been opened with UseCDB set.

# See Also

CursorConfig Class
BerkeleyDB Namespace